### Hierarchy

- Briefcase_Briefcase_Workpackages_RECORDS

## Index

### Properties

- PATH

### Methods

- copyOfResponse

### Object literals

- BODY
- RESPONSE

## Properties

### Static Private PATH

PATH: string = "tenants/${tenantId}/sessions/${sessionId}/dialogs/11/records"

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:5

## Methods

### Static copyOfResponse

- copyOfResponse(): object

- - Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:64

  #### Returns object

## Object literals

### Static Private BODY

BODY: object

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:7

### fetchDirection

fetchDirection: string = "FORWARD"

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:8

### fetchMaxRecords

fetchMaxRecords: number = 50

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:9

### fromRecordId

fromRecordId: string = "6GW7000A"

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:10

### type

type: string = "hxgn.api.dialog.QueryParameters"

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:11

### Static Private RESPONSE

RESPONSE: object

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:14

### defaultActionId

defaultActionId: null = null

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:15

### dialogAlias

dialogAlias: string = "Briefcase_Briefcase_Workpackages"

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:58

### dialogName

dialogName: string = "Briefcase_Briefcase_Workpackages"

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:61

### hasMore

hasMore: boolean = false

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:59

### records

records: object[] = [{"annotations": [],"id": "6GW7000A","type": "hxgn.api.dialog.Record","properties": [{"name": "name","format": null,"annotations": [],"type": "hxgn.api.dialog.Property","value": "SDA Mobile Test Package"}, {"name": "workpackageid","format": null,"annotations": [],"type": "hxgn.api.dialog.Property","value": "6GW7000A"}, {"name": "description","format": null,"annotations": [],"type": "hxgn.api.dialog.Property","value": "SDA Mobile Test Package"}, {"name": "creation_date","format": "date","annotations": [],"type": "hxgn.api.dialog.Property","value": "2017-10-11"}, {"name": "disciplines","format": null,"annotations": [],"type": "hxgn.api.dialog.Property","value": null}, {"name": "last_update_date","format": "date","annotations": [],"type": "hxgn.api.dialog.Property","value": "2017-10-11"}]}]

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:16

### type

type: string = "hxgn.api.dialog.RecordSet"

- Defined in ppm/samples/Briefcase_Briefcase_Workpackages_RECORDS.ts:60

Generated using TypeDoc